/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityUse;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityUse {
    public void makeFacilityUse() {
    }

    public void addDetail() {
    }

    public int calcUsage() {
        return 0;
    }

    public BigDecimal calcUsageCost() {
        return new BigDecimal(0);
    }

    public int calcCurrentUseLevel() {
        return 0;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public boolean hasActualFacilityUse() {
        return false;
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public BigDecimal mi_estimatePercentCompleted() {
        return new BigDecimal(0);
    }

    public static Vector listPlannedFacilityUse() {
        return new Vector();
    }

    public static Vector listActualFacilityUse() {
        return new Vector();
    }

    public static BigDecimal calcUseCost() {
        return new BigDecimal(0);
    }

    private int priority;
    private String purpose;
    private int status;

    /**
     *@shapeType AggregationLink
     * @associates <b>FacilityUseDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed;

    /** @supplierCardinality 1 */
    private IMakeFacilityUse lnkUnnamed3;

    /**
     * @clientRole plan
     * @supplierRole actual
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private FacilityUse lnkUnnamed1;
}


